using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace YBDevice.Entity
{
    /// <summary>
    /// 丽秀体质提交的问卷结果
    /// </summary>
    [SugarTable("YB_LXBodyResult", TableDescription = "丽秀体质提交的问卷结果", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_LXBodyResult
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public Guid Id { get; set; }
        /// <summary>
        /// 体质ID
        /// </summary>
        [SugarColumn(ColumnDescription = "体质ID")]
        public Guid TypeId { get; set; }
        /// <summary>
        /// 体质类型
        /// </summary>
        [SugarColumn(ColumnDescription = "体质类型",ColumnDataType ="nvarchar(50)")]
        public string BodyType { get; set; }
        /// <summary>
        /// 判定结果,1-是,2-基本是,3-否
        /// </summary>
        [SugarColumn(ColumnDescription = "判定结果,1-是,2-基本是,3-否")]
        public int Result { get; set; }
        /// <summary>
        /// 用户ID
        /// </summary>
        [SugarColumn(ColumnDescription = "用户ID",IndexGroupNameList =new string[] { "index_userid" })]
        public int UserId { get; set; }

        /// <summary>
        /// 家庭成语ID
        /// </summary>
        [SugarColumn(ColumnDescription = "家庭成语ID")]
        public int FamilyId { get; set; }
        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public DateTime CreateTime { get; set; }
    }
}
